<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: nga_file_work Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">nga_file_work Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a542c057d7d7cb73457f0bf8a44344bad"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structnga__io__defs_1_1nga__file__t.html">nga_file_t</a>), pointer, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacenga__file__work.html#a542c057d7d7cb73457f0bf8a44344bad">nga_io_file_list</a> =&gt; null()</td></tr>
<tr class="separator:a542c057d7d7cb73457f0bf8a44344bad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a47b8f98dea51206a40a7c530d444ac"><td class="memItemLeft" align="right" valign="top">integer, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacenga__file__work.html#a3a47b8f98dea51206a40a7c530d444ac">fh</a></td></tr>
<tr class="separator:a3a47b8f98dea51206a40a7c530d444ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3b8ccc43af792ff55eaaf166eec108b"><td class="memItemLeft" align="right" valign="top">integer(kind=mpi_offset_kind), public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacenga__file__work.html#ab3b8ccc43af792ff55eaaf166eec108b">offset</a></td></tr>
<tr class="separator:ab3b8ccc43af792ff55eaaf166eec108b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a3a47b8f98dea51206a40a7c530d444ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a47b8f98dea51206a40a7c530d444ac">&#9670;&nbsp;</a></span>fh</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, public nga_file_work::fh</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a542c057d7d7cb73457f0bf8a44344bad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a542c057d7d7cb73457f0bf8a44344bad">&#9670;&nbsp;</a></span>nga_io_file_list</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structnga__io__defs_1_1nga__file__t.html">nga_file_t</a>), pointer, public nga_file_work::nga_io_file_list =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab3b8ccc43af792ff55eaaf166eec108b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3b8ccc43af792ff55eaaf166eec108b">&#9670;&nbsp;</a></span>offset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer(kind=mpi_offset_kind), public nga_file_work::offset</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
